import dayjs from 'dayjs';
var isSameOrBefore = require('dayjs/plugin/isSameOrBefore');
dayjs.extend(isSameOrBefore);
export default {
    methods: {
        checkTime(info) {
            return dayjs().isSameOrBefore(info.expiration);
        },
        checkUse(info, collectionId = 0) {
            if (collectionId && info.limited) {
                return [...info.collectionIds].includes(collectionId);
            } else {
                return true;
            }
        }
    }
};
